<html>
<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <link rel="stylesheet" href="calculator.css">
</head>

<body>


    <div class="container">
        <div class="demo1">
            <p id="demo"></p>
        </div>

        <br>
        <table>
            
            <tr>
                <td><button type="button" value="1" onClick="one()">1</button></td>
                <td><button type="button" value="2" onClick="two()">2</button></td>
                <td> <button type="button" value="3" onClick="three()">3</button></td>
                <td><button type="button" onClick="plus()">+</button</td>
     
            </tr>
            <tr>
                <td><button type="button" value="4" onClick="four()">4</button></td>
                <td><button type="button" value="5" onClick="five()">5</button></td>
                <td><button type="button" value="6" onClick="six()">6</button></td>
                <td><button type="button" onClick="sub()">-</button></td>
            </tr>
            <tr>
                <td><button type="button" value="7" onClick="seven()">7</button>
                </td>
                <td><button type="button" value="8" onClick="eight()">8</button></td>
                <td> <button type="button" value="9" onClick="nine()">9</button></td>
                <td><button type="button" onClick="mul()">*</button> </td>
            </tr>
            <tr>
                <td><button type="button" value="0" onClick="zero()">0</button></td>
                <td><button type="button" onClick="calculate()">=</button>
                </td>
           <td><button type="button" onclick="dot()">.</button></td>
            <td> <button type="button" onClick="div()">/</button></td>
                </tr>
        </table>
        <table>
            <tr>
                         
                <td><button type="button" onclick="Clr()">C</button></td> 
               
                
            </tr>
        </table>



        <script>
            function zero() {
                document.getElementById("demo").innerHTML += 0

            }
            function one() {
                document.getElementById("demo").innerHTML += 1

            }
            function two() {
                document.getElementById("demo").innerHTML += 2

            }
            function three() {
                document.getElementById("demo").innerHTML += 3

            }
            function four() {
                document.getElementById("demo").innerHTML += 4

            }
            function five() {
                document.getElementById("demo").innerHTML += 5

            }
            function six() {
                document.getElementById("demo").innerHTML += 6

            }
            function seven() {
                document.getElementById("demo").innerHTML += 7

            }
            function eight() {
                document.getElementById("demo").innerHTML += 8

            }
            function nine() {
                document.getElementById("demo").innerHTML += 9

            }
            function plus(){
                document.getElementById("demo").innerHTML +='+';


            }
            function sub(){
                document.getElementById("demo").innerHTML +='-';


            }
            function mul(){
                document.getElementById("demo").innerHTML +='*';


            }
            function div(){
                document.getElementById("demo").innerHTML +='/';


            }
            function calculate(){
                var c=document.getElementById("demo").innerHTML;
                var a=eval(c);
                document.getElementById("demo").innerHTML=a;
            }
            function Clr(){
                document.getElementById("demo").innerHTML=""
            }
            function dot(){
                document.getElementById("demo").innerHTML=".g"
            }
         

        </script>
    </div>
</body>

</html>

</body>

</html>